### Function

# Babl fast_fish

#### Declaration [src]

    const Babl*
    babl_fast_fish (
      void* source_format,
      void* destination_format,
      const char* performance
    )

#### Description [src]

Create a faster than normal fish with specified performance (and thus corresponding precision tradeoff), values tolerance can hold: NULL and “default”, means do same as babl_fish(), other values understood in increasing order of speed gain are: “exact” “precise” “fast” “glitch”

Fast fishes should be cached, since they are not internally kept track of/made into singletons by babl and many creations of fast fishes will otherwise be a leak.

#### Parameters

`source_format`

  Type: `void*`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`destination_format`

  Type: `void*`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`performance`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `Babl`

No description available.

The data is owned by the called function.